Page MenuHomePhabricator

Bug: mobile-html should use only externally visible URIs for referencing site CSS
Closed, ResolvedPublic

Description

The site specific CSS URL in the mobile-html output is unroutable. Instead it should use an externally visible URL.

<link rel="stylesheet" href="http://restbase.discovery.wmnet:7231/en.wikipedia.org/v1/data/css/mobile/site">

Event Timeline

bearND triaged this task as High priority.Jul 26 2018, 7:18 PM
bearND created this task.
bearND renamed this task from Bug: mobile-html should use only externally visible URIs for referencing CSS and JS to Bug: mobile-html should use only externally visible URIs for referencing site CSS.Jul 26 2018, 7:37 PM
bearND updated the task description. (Show Details)

Change 449623 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] mobile-html: use externally visible URL for site CSS

https://gerrit.wikimedia.org/r/449623

Change 449623 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] mobile-html: use externally visible URL for site CSS

https://gerrit.wikimedia.org/r/449623

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-08-01T20:04:19Z] <bsitzmann@deploy1001> Started deploy [mobileapps/deploy@c2448e0]: Update mobileapps to 282f368 (T200464 T200459)

Mentioned in SAL (#wikimedia-operations) [2018-08-01T20:10:02Z] <bsitzmann@deploy1001> Finished deploy [mobileapps/deploy@c2448e0]: Update mobileapps to 282f368 (T200464 T200459) (duration: 05m 42s)

Jhernandez closed this task as Resolved.Aug 6 2018, 11:44 AM